public interface Backlog {
	// add a feature to the backlog with the given priority
	void addFeature(Feature f, int priority);

	// remove a feature
	void removeFeature(String name);

	// remove all features with a given priority
	void removeFeatures(int priority);

	// find the feature with the give name and change its priority
	// return false, if feature is not found, otherwise true
	boolean changePriority(String name, int newPriority);

	// return next feature to be implemented and remove it from backlog
	Feature implementNextFeature(); // with the highest priority

	// display content of backlog, sorted by priority (descending)
	void print();

	// get number of features in backlog
	int getLength();

	// true - when backlog contains feature(s), false - when empty
	boolean hasNext();
}
